Index: branches/new_class_id/src/lib/util/loading/load_param.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9774)
+++ branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9775)
@@ -57,5 +57,6 @@
 void LoadParamBase::setDescriptionValues(const ClassID& classID, unsigned int paramCount, const MultiType* const defaultValues, bool retVal)
 {
-  LoadParamClassDescription::setValuesOf(classID, paramName, paramCount, defaultValues, retVal);
+  if(LoadParamClassDescription::createsDescriptions())
+    LoadParamClassDescription::setValuesOf(classID, paramName, paramCount, defaultValues, retVal);
 }
 
Index: branches/new_class_id/src/lib/util/loading/load_param_class_description.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9774)
+++ branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9775)
@@ -20,12 +20,12 @@
 
 /**
- *  A list, that holds all the classes that are loadable (classes not objects!!)
+ * @brief A list, that holds all the classes that are loadable (classes not objects!!)
  */
 LoadParamClassDescription::ClassDescriptionMap LoadParamClassDescription::_classList;
 
 /**
- *  if the description of Parameters should be executed
+ * @brief if the description of Parameters should be executed
  */
-bool LoadParamClassDescription::_parametersDescription = false;
+bool LoadParamClassDescription::_createParametersDescription = false;
 
 /**
@@ -87,6 +87,4 @@
     LoadParamClassDescription::_classList[classID] = LoadParamClassDescription(classID.name());
     classIt = LoadParamClassDescription::_classList.find(classID);
-    printf("Inserted %s\n", classID.name().c_str());
-    printAll("");
   }
   // At this position the class-iterator should point to a valid usefull position.
Index: branches/new_class_id/src/lib/util/loading/load_param_class_description.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9774)
+++ branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9775)
@@ -50,4 +50,8 @@
                           bool retVal = false);
 
+
+  static void createDescriptions(bool createThem) { _createParametersDescription = createThem; };
+  static bool createsDescriptions() { return _createParametersDescription; };
+
   static void deleteAllDescriptions();
 
@@ -63,5 +67,5 @@
 private:
 
-  static bool                                  _parametersDescription;  //!< if parameter-description should be enabled globally.
+  static bool                                  _createParametersDescription;  //!< if parameter-description should be enabled globally.
 
   static ClassDescriptionMap                   _classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
Index: branches/new_class_id/src/lib/util/loading/load_param_description.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9774)
+++ branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9775)
@@ -65,35 +65,4 @@
       PRINT(0)(",");
     PRINT(0)("%s", this->_types[i].c_str());
-    // FIXME
-    //     switch (this->types[i])
-    //     {
-    //       default:
-    //         PRINTF(3)("none");
-    //         break;
-    //       case ParameterBool:
-    //         PRINT(3)("bool");
-    //         break;
-    //       case ParameterChar:
-    //         PRINT(3)("char");
-    //         break;
-    //       case ParameterString:
-    //         PRINT(3)("string");
-    //         break;
-    //       case ParameterInt:
-    //         PRINT(3)("int");
-    //         break;
-    //       case ParameterUInt:
-    //         PRINT(3)("Uint");
-    //         break;
-    //       case ParameterFloat:
-    //         PRINT(3)("float");
-    //         break;
-    //       case ParameterLong:
-    //         PRINT(3)("long");
-    //         break;
-    //       case ParameterXML:
-    //         PRINT(3)("XML");
-    //         break;
-    //     }
   }
   PRINT(0)("</%s>", this->_name.c_str());