Index: /branches/new_class_id/src/lib/util/loading/load_param.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param.cc	(revision 9776)
@@ -24,5 +24,4 @@
  * @param root the XML-element to load this Parameter from
  * @param paramName the Parameter to load
- * @param object the BaseObject, to load this parameter on to (will be cast to executor's Parameter)
  * @param inLoadCycle If we are in a LoadCycle (loading differs.).
  */
@@ -41,4 +40,5 @@
 
 /**
+ * @param classID the ID of the class. This is needed to identify into what class this Parameter belongs.
  * @param descriptionText The text to set as a description for this Parameter
  * @returns a pointer to itself.
Index: /branches/new_class_id/src/lib/util/loading/load_param.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param.h	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param.h	(revision 9776)
@@ -150,4 +150,5 @@
                             const MultiType& value4 = MT_NULL)
   { this->executor->defaultValues(value0, value1, value2, value3, value4); return *this;  };
+  //! Describes a LoadParam
   CLoadParam& describe(const std::string& descriptionText) { LoadParamBase::describe(OperateClass::staticClassID(), descriptionText); return *this; };
   //     CLoadParam& attribute(const std::string& attributeName, const Executor<SubString>& executor);
@@ -155,5 +156,5 @@
 private:
   Executor<const SubString, OperateClass>*         executor;            //!< The Executor, that actually executes the Loading process.
-  OperateClass*                                    object;
+  OperateClass*                                    object;              //!< The Object this LoadParam operates on.
 };
 
Index: /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9776)
@@ -36,10 +36,8 @@
 { }
 
+
 /**
- *  deletes a classDescription (deletes all the parameterDescriptions as well
+ * @brief clears all LoadParamDescriptions.
  */
-LoadParamClassDescription::~LoadParamClassDescription()
-{}
-
 void LoadParamClassDescription::deleteAllDescriptions()
 {
@@ -48,5 +46,10 @@
 
 
-
+/**
+ * @brief describes a LoadParam-parameter.
+ * @param classID the ID of the class.
+ * @param paramName the Name of the Parameter.
+ * @param descriptionText the Test to set.
+ */
 void LoadParamClassDescription::describeClass(const ClassID& classID,
     const std::string& paramName,
@@ -58,5 +61,12 @@
 }
 
-
+/**
+ * @brief sets Values of the specified LoadParam-parameter.
+ * @param classID the ID of the class.
+ * @param paramName the name of the Parameter.
+ * @param paramCount the count of Parameters this LoadParam takes.
+ * @param defaultValues the default Values.
+ * @param retVal if the Parameter takes return Values.
+ */
 void LoadParamClassDescription::setValuesOf(const ClassID& classID,
     const std::string& paramName,
Index: /branches/new_class_id/src/lib/util/loading/load_param_class_description.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param_class_description.h	(revision 9776)
@@ -34,8 +34,10 @@
 public:
   LoadParamClassDescription(const std::string& className = "");
-  ~LoadParamClassDescription();
 
+  //! Compares a LoadParamClassDescription with a String.
   bool operator==(const std::string& className) const { return this->_className == className; };
+  //! Compares two LoadParamClassDescription with each other
   bool operator==(const LoadParamClassDescription& classDescr) const { return this->_className == classDescr._className; };
+  //! Compares two LoadParamClassDescription with each other, using the less operator
   bool operator<(const LoadParamClassDescription& classDescr) const { return this->_className < classDescr._className; }
 
@@ -50,6 +52,7 @@
                           bool retVal = false);
 
-
+  /** @param createThem: if the Parameters should be created/stored. */
   static void createDescriptions(bool createThem) { _createParametersDescription = createThem; };
+  /** @returns if the Parameters are created/stored. */
   static bool createsDescriptions() { return _createParametersDescription; };
 
@@ -59,5 +62,7 @@
 
 private:
+  //! A Type definition for the Map of Class Descriptions
   typedef std::map<ClassID, LoadParamClassDescription>  ClassDescriptionMap;
+  //! A type definition for the Map of Parameter Descriptions inside of Class-descriptions.
   typedef std::map<std::string, LoadParamDescription>   ParamDescriptionMap;
 
Index: /branches/new_class_id/src/lib/util/loading/load_param_description.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9776)
@@ -20,4 +20,5 @@
 
 /**
+ * @brief Creates a Description of a LoadParam
  * @param paramName the name of the parameter to load
  */
@@ -25,10 +26,4 @@
     : _name(paramName), _parameterCount(0)
 { }
-
-/**
- *  removes all the alocated memory
- */
-LoadParamDescription::~LoadParamDescription()
-{}
 
 /**
@@ -40,4 +35,10 @@
 }
 
+/**
+ * @brief sets the Values of the LoadParam in the Description.
+ * @param paramCount the count of arguments the underlying paramDescription takes.
+ * @param defaultValues the default Values the underlying parameter takes.
+ * @param retVal if the underlying parameter has a return value
+ */
 void LoadParamDescription::setValues(unsigned int paramCount,
                                      const MultiType* const defaultValues,
Index: /branches/new_class_id/src/lib/util/loading/load_param_description.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9775)
+++ /branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9776)
@@ -36,8 +36,10 @@
 public:
   LoadParamDescription(const std::string& paramName = "");
-  ~LoadParamDescription();
 
+  //! Compares a LoadParamDescription with a String.
   bool operator==(const std::string& paramName) const { return this->_name == paramName; };
+  //! Compares two LoadParamDescription
   bool operator==(const LoadParamDescription& paramDescr) const { return this->_name == paramDescr._name; };
+  //! Compares two LoadParamDescription with the less operator
   bool operator<(const LoadParamDescription& paramDescr) const { return this->_name < paramDescr._name; };
 
@@ -56,6 +58,6 @@
   std::string                _description;           //!< A longer description about this function.
 
-  std::vector<std::string>   _types;
-  std::vector<std::string>   _defaultValues;
+  std::vector<std::string>   _types;                 //!< A Vector of types of this Parameter.
+  std::vector<std::string>   _defaultValues;         //!< A Vector of defaultValues of this Parameter.
 };
 