Index: /branches/new_class_id/src/lib/graphics/importer/Makefile.am
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/Makefile.am	(revision 9780)
+++ /branches/new_class_id/src/lib/graphics/importer/Makefile.am	(revision 9781)
@@ -4,39 +4,41 @@
 noinst_LIBRARIES = libORXimporter.a libtc.a
 
-libORXimporter_a_SOURCES = model.cc \
-			   interactive_model.cc \
-			   md_model_structure.cc \
-                           vertex_array_model.cc \
-                           grid.cc \
-                           static_model.cc \
-                           objModel.cc \
-                           primitive_model.cc \
-                           height_map.cc \
-                           bsp_manager.cc \
-                           bsp_file.cc \
-                           bsp_tree_node.cc \
-                           bsp_tree_leaf.cc \
-                           \
-                           material.cc \
-                           texture.cc \
-                           texture_data.cc \
-                           texture_sequence.cc \
-                           media_container.cc \
-                           movie_player.cc \
-                           \
-                           bsp_manager.cc \
-                           bsp_file.cc \
-                           bsp_tree_node.cc \
-                           bsp_tree_leaf.cc \
-                           \
-                           md2/md2Model.cc \
-                           \
-                           md3/md3_model.cc \
-                           md3/md3_animation.cc \
-                           md3/md3_animation_cfg.cc \
-                           md3/md3_bone_frame.cc \
-                           md3/md3_mesh.cc \
-                           md3/md3_data.cc \
-                           md3/md3_tag.cc
+libORXimporter_a_SOURCES = \
+		model.cc \
+		interactive_model.cc \
+		md_model_structure.cc \
+		vertex_array_model.cc \
+		grid.cc \
+		static_model.cc \
+		objModel.cc \
+		primitive_model.cc \
+		height_map.cc \
+		bsp_manager.cc \
+		bsp_file.cc \
+		bsp_tree_node.cc \
+		bsp_tree_leaf.cc \
+		\
+		material.cc \
+		texture.cc \
+		texture_data.cc \
+		resource_texture.cc \
+		texture_sequence.cc \
+		media_container.cc \
+		movie_player.cc \
+		\
+		bsp_manager.cc \
+		bsp_file.cc \
+		bsp_tree_node.cc \
+		bsp_tree_leaf.cc \
+		\
+		md2/md2Model.cc \
+		\
+		md3/md3_model.cc \
+		md3/md3_animation.cc \
+		md3/md3_animation_cfg.cc \
+		md3/md3_bone_frame.cc \
+		md3/md3_mesh.cc \
+		md3/md3_data.cc \
+		md3/md3_tag.cc
 
 
@@ -63,4 +65,5 @@
 		texture.h \
 		texture_data.h \
+		resource_texture.h \
 		texture_sequence.h \
 		\
Index: /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9781)
+++ /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9781)
@@ -0,0 +1,14 @@
+
+
+#include "resource_texture.h"
+
+
+
+
+ResourceTexture::TextureResourcePointer::TextureResourcePointer(TextureData* data)
+{
+  this->pointer = new TextureData::Pointer(data);
+}
+
+
+Resource::Type ResourceTexture::type(Texture::staticClassID());
Index: /branches/new_class_id/src/lib/graphics/importer/resource_texture.h
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/resource_texture.h	(revision 9781)
+++ /branches/new_class_id/src/lib/graphics/importer/resource_texture.h	(revision 9781)
@@ -0,0 +1,33 @@
+/*!
+ * @file resource_texture.h
+ * @brief Contains the ResourceTexture class, that handles the Resource-specific loading part of the Texture.
+ *
+ */
+
+#ifndef _RESOURCE_TEXTURE_H
+#define _RESOURCE_TEXTURE_H
+
+#include "util/loading/resource.h"
+#include "texture.h"
+
+
+class ResourceTexture : public Texture, public Resource
+{
+  ResourceTexture(const std::string& imageName, GLenum target = GL_TEXTURE_2D);
+
+
+private:
+  class TextureResourcePointer
+  {
+  public:
+    TextureResourcePointer(TextureData* data);
+  private:
+    TextureData::Pointer* pointer;
+  };
+
+  private:
+    static Resource::Type type;
+};
+
+
+#endif /* _RESOURCE_TEXTURE_H */