Index: data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt
===================================================================
--- data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9781)
+++ data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9783)
@@ -50,5 +50,5 @@
 	<collisionShapes>
 		<BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
-        	<BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
+        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
 	</collisionShapes>
     </StaticEntity>
@@ -219,5 +219,5 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
 
-   accelerationfront     = 100
+   accelerationfront     = 50
    accelerationbrake     = 10
    accelerationback      =  10
Index: data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw
===================================================================
--- data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9781)
+++ data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9783)
@@ -79,12 +79,12 @@
         <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/> 
 
-        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>   
-        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>   
-
-        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>   
-        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/> 		
-
-        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>           
-        
+        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>
+        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>
+
+        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>
+        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/>
+
+        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>
+
         <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
         <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
@@ -94,47 +94,47 @@
 
         <BoxCollisionShape position="0,35,-125" halfExtents="83,30,130" info="body, front"/>
-	    <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
-	    <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
-	    <BoxCollisionShape position="0,7,-248" pitch="25" halfExtents="63,4,12" info="body, dockF"/>
-	    <BoxCollisionShape position="70,6,-120" roll="20" halfExtents="12,6,120" info="body, dockR"/>
-	    <BoxCollisionShape position="63,-2,-180" halfExtents="3,3,60" info="body, dockR"/>
-	    <BoxCollisionShape position="-70,6,-120" roll="-20" halfExtents="12,6,120" info="body, dockL"/>
-	    <BoxCollisionShape position="-63,-2,-180" halfExtents="3,3,60" info="body, dockL"/>
-	    <BoxCollisionShape position="87,32,-63" halfExtents="4,23,50" info="body, frontCR"/>
-	    <BoxCollisionShape position="-87,32,-63" halfExtents="4,23,50" info="body, frontCL"/>
-
-	    <BoxCollisionShape position="0,72,-213" halfExtents="37,8,60" info="body, Fbridge"/>
-	    <BoxCollisionShape position="0,72,-110" halfExtents="53,11,53" info="body, Cbridge"/>
-	    <BoxCollisionShape position="0,86,-110" halfExtents="40,4,40" info="body, Cbridge"/>
-	    <BoxCollisionShape position="0,70,-60" halfExtents="65,11,30" info="body, Bbridge"/>
-	    <BoxCollisionShape position="0,84,-45" halfExtents="33,11,26" info="body, Bbridge"/>
-	    <BoxCollisionShape position="0,79,-6" pitch="10" halfExtents="32,13,17" info="body, Bbridge"/>
-	    <BoxCollisionShape position="38,67,-45" roll="50" halfExtents="16,23,25" info="body, BbridgeR"/>
-	    <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
-	    <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
-	    <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
-
-	    <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
-	    <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
-	    <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
-	    <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
-	    <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
-	    <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
-	    <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
-	    <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
-	    <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
-	    <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
-	    <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
-	    <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
-
-	    <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
-	    <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
-	    <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
+        <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
+        <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
+        <BoxCollisionShape position="0,7,-248" pitch="25" halfExtents="63,4,12" info="body, dockF"/>
+        <BoxCollisionShape position="70,6,-120" roll="20" halfExtents="12,6,120" info="body, dockR"/>
+        <BoxCollisionShape position="63,-2,-180" halfExtents="3,3,60" info="body, dockR"/>
+        <BoxCollisionShape position="-70,6,-120" roll="-20" halfExtents="12,6,120" info="body, dockL"/>
+        <BoxCollisionShape position="-63,-2,-180" halfExtents="3,3,60" info="body, dockL"/>
+        <BoxCollisionShape position="87,32,-63" halfExtents="4,23,50" info="body, frontCR"/>
+        <BoxCollisionShape position="-87,32,-63" halfExtents="4,23,50" info="body, frontCL"/>
+
+        <BoxCollisionShape position="0,72,-213" halfExtents="37,8,60" info="body, Fbridge"/>
+        <BoxCollisionShape position="0,72,-110" halfExtents="53,11,53" info="body, Cbridge"/>
+        <BoxCollisionShape position="0,86,-110" halfExtents="40,4,40" info="body, Cbridge"/>
+        <BoxCollisionShape position="0,70,-60" halfExtents="65,11,30" info="body, Bbridge"/>
+        <BoxCollisionShape position="0,84,-45" halfExtents="33,11,26" info="body, Bbridge"/>
+        <BoxCollisionShape position="0,79,-6" pitch="10" halfExtents="32,13,17" info="body, Bbridge"/>
+        <BoxCollisionShape position="38,67,-45" roll="50" halfExtents="16,23,25" info="body, BbridgeR"/>
+        <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
+        <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
+        <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
+
+        <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
+        <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
+        <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
+        <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
+        <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
+        <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
+        <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
+        <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
+        <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
+        <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
+        <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
+        <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
+
+        <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
+        <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
+        <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
         <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BFTop"/>
         <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BFTop"/>
         <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BFTopR"/>
-	    <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
-	    <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
-	    <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
+        <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
+        <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
+        <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
         
         <BoxCollisionShape position="0,106,381" halfExtents="36,5,71" info="body, BTop"/>
@@ -144,9 +144,9 @@
 
         <BoxCollisionShape position="48,-29,400" halfExtents="5,8,58" info="body, BBottomRBeam"/>
-	    <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
-	    <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
-	    <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
-
-	    <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
+        <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
+        <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
+        <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
+
+        <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
         <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
         <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
@@ -165,5 +165,5 @@
         <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
         <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>  
-	    <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>  
+        <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>  
     </collisionShapes> 
     </StaticEntity>
@@ -173,16 +173,16 @@
     <attached> 
         <!-- <Model position="79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontR"/>
-        <Model position="79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontR"/>  
+        <Model position="79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontR"/>
 
         <Model position="-79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontL"/>
-        <Model position="-79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontL"/> 
-
-        <Model position="93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partR"/>   
-        <Model position="93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partR"/>   
-
-        <Model position="-93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partL"/>   
-        <Model position="-93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partL"/> 		
-
-        <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR"/>           
+        <Model position="-79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontL"/>
+
+        <Model position="93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partR"/>
+        <Model position="93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partR"/>
+
+        <Model position="-93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partL"/>
+        <Model position="-93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partL"/>
+
+        <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR"/>
         
         <Model position="60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Rwall"/> 
@@ -193,47 +193,47 @@
 
         <Model position="0,35,-125" mesh="cube.mesh" scale3D="83,30,130" info="body, front"/>
-	    <Model position="0,6,-307" mesh="cube.mesh" scale3D="19,3,43" info="body, frontbottom"/>
-	    <Model position="0,5,-196" mesh="cube.mesh" scale3D="27,3,24" info="body, dock"/>
-	    <Model position="0,7,-248" pitch="25" mesh="cube.mesh" scale3D="63,4,12" info="body, dockF"/>
-	    <Model position="70,6,-120" roll="20" mesh="cube.mesh" scale3D="12,6,120" info="body, dockR"/>
-	    <Model position="63,-2,-180" mesh="cube.mesh" scale3D="3,3,60" info="body, dockR"/>
-	    <Model position="-70,6,-120" roll="-20" mesh="cube.mesh" scale3D="12,6,120" info="body, dockL"/>
-	    <Model position="-63,-2,-180" mesh="cube.mesh" scale3D="3,3,60" info="body, dockL"/>
-	    <Model position="87,32,-63" mesh="cube.mesh" scale3D="4,23,50" info="body, frontCR"/>
-	    <Model position="-87,32,-63" mesh="cube.mesh" scale3D="4,23,50" info="body, frontCL"/>
-
-	    <Model position="0,72,-213" mesh="cube.mesh" scale3D="37,8,60" info="body, Fbridge"/>
-	    <Model position="0,72,-110" mesh="cube.mesh" scale3D="53,11,53" info="body, Cbridge"/>
-	    <Model position="0,86,-110" mesh="cube.mesh" scale3D="40,4,40" info="body, Cbridge"/>
-	    <Model position="0,70,-60" mesh="cube.mesh" scale3D="65,11,30" info="body, Bbridge"/>
-	    <Model position="0,84,-45" mesh="cube.mesh" scale3D="33,11,26" info="body, Bbridge"/>
-	    <Model position="0,79,-6" pitch="10" mesh="cube.mesh" scale3D="32,13,17" info="body, Bbridge"/>
-	    <Model position="38,67,-45" roll="50" mesh="cube.mesh" scale3D="16,23,25" info="body, BbridgeR"/>
-	    <Model position="35,63,-17" pitch="25" yaw="-20" roll="40" mesh="cube.mesh" scale3D="16,23,16" info="body, BbridgeR"/>
-	    <Model position="-38,67,-45" roll="-50" mesh="cube.mesh" scale3D="16,23,25" info="body, BbridgeL"/>
-	    <Model position="-35,63,-17" pitch="25" yaw="20" roll="-40" mesh="cube.mesh" scale3D="16,23,16" info="body, BbridgeL"/>
-
-	    <Model position="-67,18,58" roll="-22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
-	    <Model position="-76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
-	    <Model position="-71,55,140" pitch="-4" roll="31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
-	    <Model position="-62,2,140" roll="24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
-	    <Model position="67,18,58" roll="22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
-	    <Model position="76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
-	    <Model position="71,55,140" pitch="-4" roll="-31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
-	    <Model position="62,2,140" roll="-24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
-	    <Model position="0,60,12" mesh="cube.mesh" scale3D="81,5,11" info="body, CFTop"/>
-	    <Model position="0,55,40" pitch="15" mesh="cube.mesh" scale3D="81,5,20" info="body, CFTop"/>
-	    <Model position="0,50,85" pitch="1" mesh="cube.mesh" scale3D="81,5,29" info="body, CTop"/>
-	    <Model position="0,59,140" pitch="-4" mesh="cube.mesh" scale3D="68,5,27" info="body, CBTop"/>
-
-	    <Model position="0,81,238" mesh="cube.mesh" scale3D="26,5,59" info="body, BFTop"/>
-	    <Model position="0,67,234" mesh="cube.mesh" scale3D="54,5,67" info="body, BFTop"/>
-	    <Model position="0,77,175" pitch="-36" mesh="cube.mesh" scale3D="26,5,9" info="body, BFTop"/>
+        <Model position="0,6,-307" mesh="cube.mesh" scale3D="19,3,43" info="body, frontbottom"/>
+        <Model position="0,5,-196" mesh="cube.mesh" scale3D="27,3,24" info="body, dock"/>
+        <Model position="0,7,-248" pitch="25" mesh="cube.mesh" scale3D="63,4,12" info="body, dockF"/>
+        <Model position="70,6,-120" roll="20" mesh="cube.mesh" scale3D="12,6,120" info="body, dockR"/>
+        <Model position="63,-2,-180" mesh="cube.mesh" scale3D="3,3,60" info="body, dockR"/>
+        <Model position="-70,6,-120" roll="-20" mesh="cube.mesh" scale3D="12,6,120" info="body, dockL"/>
+        <Model position="-63,-2,-180" mesh="cube.mesh" scale3D="3,3,60" info="body, dockL"/>
+        <Model position="87,32,-63" mesh="cube.mesh" scale3D="4,23,50" info="body, frontCR"/>
+        <Model position="-87,32,-63" mesh="cube.mesh" scale3D="4,23,50" info="body, frontCL"/>
+
+        <Model position="0,72,-213" mesh="cube.mesh" scale3D="37,8,60" info="body, Fbridge"/>
+        <Model position="0,72,-110" mesh="cube.mesh" scale3D="53,11,53" info="body, Cbridge"/>
+        <Model position="0,86,-110" mesh="cube.mesh" scale3D="40,4,40" info="body, Cbridge"/>
+        <Model position="0,70,-60" mesh="cube.mesh" scale3D="65,11,30" info="body, Bbridge"/>
+        <Model position="0,84,-45" mesh="cube.mesh" scale3D="33,11,26" info="body, Bbridge"/>
+        <Model position="0,79,-6" pitch="10" mesh="cube.mesh" scale3D="32,13,17" info="body, Bbridge"/>
+        <Model position="38,67,-45" roll="50" mesh="cube.mesh" scale3D="16,23,25" info="body, BbridgeR"/>
+        <Model position="35,63,-17" pitch="25" yaw="-20" roll="40" mesh="cube.mesh" scale3D="16,23,16" info="body, BbridgeR"/>
+        <Model position="-38,67,-45" roll="-50" mesh="cube.mesh" scale3D="16,23,25" info="body, BbridgeL"/>
+        <Model position="-35,63,-17" pitch="25" yaw="20" roll="-40" mesh="cube.mesh" scale3D="16,23,16" info="body, BbridgeL"/>
+
+        <Model position="-67,18,58" roll="-22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
+        <Model position="-76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
+        <Model position="-71,55,140" pitch="-4" roll="31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
+        <Model position="-62,2,140" roll="24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
+        <Model position="67,18,58" roll="22" mesh="cube.mesh" scale3D="13,5,53" info="body, CFL"/>
+        <Model position="76,36,86" mesh="cube.mesh" scale3D="5,18,81" info="body, CL"/>
+        <Model position="71,55,140" pitch="-4" roll="-31" mesh="cube.mesh" scale3D="9,5,27" info="body, CBTopL"/>
+        <Model position="62,2,140" roll="-24" mesh="cube.mesh" scale3D="10,24,32" info="body, CBBottomL"/>
+        <Model position="0,60,12" mesh="cube.mesh" scale3D="81,5,11" info="body, CFTop"/>
+        <Model position="0,55,40" pitch="15" mesh="cube.mesh" scale3D="81,5,20" info="body, CFTop"/>
+        <Model position="0,50,85" pitch="1" mesh="cube.mesh" scale3D="81,5,29" info="body, CTop"/>
+        <Model position="0,59,140" pitch="-4" mesh="cube.mesh" scale3D="68,5,27" info="body, CBTop"/>
+
+        <Model position="0,81,238" mesh="cube.mesh" scale3D="26,5,59" info="body, BFTop"/>
+        <Model position="0,67,234" mesh="cube.mesh" scale3D="54,5,67" info="body, BFTop"/>
+        <Model position="0,77,175" pitch="-36" mesh="cube.mesh" scale3D="26,5,9" info="body, BFTop"/>
         <Model position="0,62,161" pitch="-30" mesh="cube.mesh" scale3D="56,5,10" info="body, BFTop"/>
         <Model position="0,69,162" mesh="cube.mesh" scale3D="16,7,10" info="body, BFTop"/>
         <Model position="31,76,238" roll="-46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopR"/>
-	    <Model position="64,64,234" roll="-24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopR"/>
-	    <Model position="-31,76,238" roll="46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopL"/>
-	    <Model position="-64,64,234" roll="24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopL"/>
+        <Model position="64,64,234" roll="-24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopR"/>
+        <Model position="-31,76,238" roll="46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopL"/>
+        <Model position="-64,64,234" roll="24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopL"/>
         
         <Model position="0,106,381" mesh="cube.mesh" scale3D="36,5,71" info="body, BTop"/>
@@ -243,9 +243,9 @@
 
         <Model position="48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomRBeam"/>
-	    <Model position="48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomRBeam"/>
-	    <Model position="-48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomLBeam"/>
-	    <Model position="-48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomLBeam"/>
-
-	    <Model position="0,-15,-60" mesh="cube.mesh" scale3D="60,25,65" info="body, bay3, Fwall"/>
+        <Model position="48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomRBeam"/>
+        <Model position="-48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomLBeam"/>
+        <Model position="-48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomLBeam"/>
+
+        <Model position="0,-15,-60" mesh="cube.mesh" scale3D="60,25,65" info="body, bay3, Fwall"/>
         <Model position="47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Rwall"/>
         <Model position="-47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Lwall"/>
@@ -254,5 +254,5 @@
         
         <Model position="103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Rextrusion"/>
-        <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Lextrusion"/>             
+        <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Lextrusion"/>
         
         <Model position="76,27,440" roll="-19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Rwall"/>
@@ -264,5 +264,5 @@
         <Model position="0,-5,465" mesh="cube.mesh" scale3D="85,6,60" info="body, bay2, BottomWall"/>
         <Model position="0,78,526" mesh="cube.mesh" scale3D="43,17,5" info="body, bay2, Twall"/>  
-	    <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/>      -->
+        <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/>      -->
     </attached> 
     <collisionShapes> 
@@ -273,5 +273,5 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
 <!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /> -->
-<!--	 <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />-->
+<!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />-->
      <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=HeavyCruiser /> 
   </Scene>
Index: data/contentcreation/pps/noep/HeavyCruiser/INFO.txt
===================================================================
--- data/contentcreation/pps/noep/HeavyCruiser/INFO.txt	(revision 9783)
+++ data/contentcreation/pps/noep/HeavyCruiser/INFO.txt	(revision 9783)
@@ -0,0 +1,32 @@
+TODO:  
+  
+- Create a new class for big ships and their sub-parts.
+  
+(- Adapt the HUD to show individual part's health.
+  Edit /trunk/dataoverlays/HUDTemplates3.oxo and corresponding classes in src/modules/overlays/hud/)
+
+
+PROBLEMS:
+
+- When firing weapons mounted at the front of the ship, the aim is incorrect,
+  due to the cursor (target) position being too close to the camera.
+  Fix:  Move position of cursor further away. (src/orxonox/controllers/NewHumanController.cc, updateTarget(), line 445)
+
+- Turrets cannot be attached to the ship in its template, due to turrets being spaceships by themselves.
+  Fix:  Redesign Turret class. -> MovableEntity? ShipPart?
+
+
+DETAILS:
+
+- BigShip class:
+    - /src/orxonox/worldentities/pawns -> Create BigShip.cc and BigShip.h, inherit from SpaceShip
+    - Damage can be shared with sub-parts. (Implement new HUD?)
+      - Modify damage() as needed
+      - Spread damage relative to how much of the overall health a part has.
+        (If a part has 20% of the total health, it gets 20% of the damage)
+      - void damagePart(... , ShipPart part)
+    - Destruction of sub-parts can alter datavalues of the ship (e.g. shield or acceleration)
+- ShipPart class
+    - Has own health
+    - Receives damage from direct hits and from parent-part
+    - Triggers events on destruction (e.g. disabling weapons or weakening shields)