Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9785)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9786)
@@ -463,4 +463,9 @@
 	</SimpleNotification>
 
+	<!-- Timer for the Escape-sequence 
+	<Timer interval=120 bLoop="false" bKillAfterCall="true" executor="" >
+	-->
+
+	<!-- Rescue the commander -->
 	<DistanceTrigger name="dock" position="-12100, -22000, 25000" target="SpaceShip" distance=100 stayActive="true" delay=0 />
 
@@ -894,5 +899,5 @@
       <waypoints>
         <Model mesh="cube.mesh" scale=1000 position="-7000,-10000,42000" />
-        <Model mesh="cube.mesh" scale=1 position="-12000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
       </waypoints>
       <events>
@@ -907,5 +912,5 @@
 <!-- Mainship - Pirates -->
 
-<SpaceShip position="-12000, -22000, 26000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -22000, 26000" lookat="-12000, -21300, 25700" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -919,12 +924,12 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -21300, 25700" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 24000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 25700" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
       </waypoints>
       <events>
@@ -937,5 +942,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -21000, 25000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -21000, 25000" lookat="-12000, -21300, 24300" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -949,12 +954,12 @@
     <WaypointController team=1>
       <waypoints>
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 24000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 25700" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />        
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 25700" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
       </waypoints>
       <events>
@@ -967,5 +972,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -22000, 24000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -22000, 24000" lookat="-12000, -22700, 24300" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -979,12 +984,12 @@
     <WaypointController team=1>
       <waypoints>
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 24000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 25700" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />        
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 25700" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 24000" />
       </waypoints>
       <events>
@@ -997,5 +1002,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -23000, 25000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -23000, 25000" lookat="-12000, -22700, 25700" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1009,12 +1014,12 @@
     <WaypointController team=1>
       <waypoints>
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 25700" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />        
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 25700" />
+        <Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21300, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22000, 24000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -22700, 24300" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
       </waypoints>
       <events>
@@ -1028,5 +1033,5 @@
 
 <!-- Additional pirates if the spion has warned the mainship -->
-<SpaceShip position="-11700, -21700, 25000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-11700, -21700, 25000" lookat="-11000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1040,12 +1045,12 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=1000 position="-11000, -22000, 25000" />
-        <Model mesh="cube.mesh" scale=1000 position="-11300, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12700, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-13000, -22000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12700, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-11300, -21300, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-11000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-11300, -22700, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12700, -22700, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-13000, -22000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12700, -21300, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-11300, -21300, 25000" />
       </waypoints>
       <events>
@@ -1058,5 +1063,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12700, -22700, 25000" lookat="-12000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12700, -22700, 25000" lookat="-13000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1070,12 +1075,12 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=1000 position="-13000, -22000, 25000" />
-        <Model mesh="cube.mesh" scale=1000 position="-12700, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-11300, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-11000, -22000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-11300, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=1000 position="-12700, -22700, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-13000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-12700, -21300, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-11300, -21300, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-11000, -22000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-11300, -22700, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-12700, -22700, 25000" />
       </waypoints>
       <events>