Index: code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw
===================================================================
--- code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw	(revision 9788)
+++ code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw	(revision 9789)
@@ -83,4 +83,5 @@
                 <EventListener event="dockMe" />
             </execute>
+	
             <activity>
                 <EventListener event=notGameEnd />
@@ -88,14 +89,5 @@
         </events>
         <attached>
-                    <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
-	<BlinkingBillboard position="10,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="20,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="30,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,10,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,20,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,30,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,0,10" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,0,20" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
-	<BlinkingBillboard position="0,0,30" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
             <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
                 beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
@@ -105,4 +97,31 @@
     </Dock>
 
+   <!-- Docking (Ausdocken)-->
+    <Dock position="100,-1950,100" roll=0 yaw=0 >
+        <animations>
+            <MoveToDockingTarget target="spaceShip" />
+        </animations>
+        <effects>
+            <DockToShip target="destroyer" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="undockMe" />
+            </execute>
+	
+            <activity>
+                <EventListener event=notGameEnd />
+            </activity>
+        </events>
+        <attached>
+            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
+            <DistanceTrigger position="0,0,0" distance="5" target="Pawn"
+                beaconMode="exclude" targetname="bcnDestroyer" name="undockMe"
+            />
+        </attached>
+
+    </Dock>
+
+	
 
     
@@ -145,12 +164,12 @@
 <!-- Schwerkraftfeld -->
 
-<ForceField position="2500,-92000,2500" mode="sphere" diameter="182000" velocity="-5000" />
-<ForceField position="2500,-92000,-2500" mode="sphere" diameter="182000" velocity="-5000" />
-<ForceField position="-2500,-92000,2500" mode="sphere" diameter="182000" velocity="-5000" />
-<ForceField position="-2500,-92000,-2500" mode="sphere" diameter="182000" velocity="-5000" />
-
-<!-- Ausgang -->
-
-  <StaticEntity position="120,-1950,120" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+<ForceField position="2500,-92000,2500" mode="sphere" diameter="184000" velocity="-5000" />
+<ForceField position="2500,-92000,-2500" mode="sphere" diameter="184000" velocity="-5000" />
+<ForceField position="-2500,-92000,2500" mode="sphere" diameter="184000" velocity="-5000" />
+<ForceField position="-2500,-92000,-2500" mode="sphere" diameter="184000" velocity="-5000" />
+
+<!-- Ausgang Trigger Falsch
+
+  <StaticEntity position="100,-1950,100" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
       <attached>
         <Model position="0,0,0" mesh="cube.mesh" scale3D="4,4,4" />
@@ -161,5 +180,5 @@
   </StaticEntity>
 
-<DistanceTrigger name="ausgang" position="120,-1950,120"  target="Pawn" distance=50 stayActive="false" delay=0 />
+<DistanceTrigger name="ausgang" position="100,-1950,100"  target="Pawn" distance=50 stayActive="false" delay=0 />
     <Script code="undock" onLoad="false">
         <events>
@@ -169,4 +188,5 @@
         </events>
     </Script>
+-->
 
 
Index: code/branches/spacestationentry/src/modules/docking/Dock.cc
===================================================================
--- code/branches/spacestationentry/src/modules/docking/Dock.cc	(revision 9788)
+++ code/branches/spacestationentry/src/modules/docking/Dock.cc	(revision 9789)
@@ -69,4 +69,5 @@
         XMLPortObject(Dock, DockingAnimation, "animations", addAnimation, getAnimation, xmlelement, mode);
         XMLPortEventSink(Dock, BaseObject, "execute", execute, xmlelement, mode);
+
     }
 
@@ -76,4 +77,6 @@
 
         XMLPortEventSink(Dock, BaseObject, "execute", execute, xmlelement, mode);
+
+   //     XMLPortEventSink(Dock, BaseObject, "execute2", execute2, xmlelement, mode);
     }
 
@@ -120,4 +123,48 @@
     }
 
+    /*bool Dock::execute2(bool bTriggered, BaseObject* trigger)
+        {
+    	orxout(user_warning)<<"execute2"<<endl;
+            PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
+            PlayerInfo* player = NULL;
+
+            // Check whether it is a player trigger and extract pawn from it
+            if(pTrigger != NULL)
+            {
+                if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
+                    orxout(verbose, context::docking) << "Docking:execute PlayerTrigger was not triggered by a player.." << endl;
+                    return false;
+                }
+                player = pTrigger->getTriggeringPlayer();
+            }
+            else
+            {
+                orxout(verbose, context::docking) << "Docking::execute Not a player trigger, can't extract pawn from it.." << endl;
+                return false;
+            }
+            if(player == NULL)
+            {
+                orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
+                return false;
+            }
+
+            if(bTriggered)
+            {
+                // Add player to this Docks candidates
+                docked_.insert(player);
+
+                // Show docking dialog
+                this->showDockingDialogHelper(player);
+            }
+            else
+            {
+                // Remove player from candidates list
+                docked_.erase(player);
+            }
+
+            return true;
+        }
+
+*/
     void Dock::showDockingDialogHelper(PlayerInfo* player)
     {
@@ -177,4 +224,5 @@
         if (animations_.empty())
             return dockingAnimationFinished(player);
+
         else
             DockingAnimation::invokeAnimation(true, player, animations_);
Index: code/branches/spacestationentry/src/modules/docking/Dock.h
===================================================================
--- code/branches/spacestationentry/src/modules/docking/Dock.h	(revision 9788)
+++ code/branches/spacestationentry/src/modules/docking/Dock.h	(revision 9789)
@@ -62,4 +62,5 @@
             // Trigger interface
             bool execute(bool bTriggered, BaseObject* trigger);
+        //    bool execute2(bool bTriggered, BaseObject* trigger);
 
             // XML interface